System.ServiceModel 4.0.0.0 System.Object

Use the object to examine and modify items that are to be converted to or from WSDL.

When exporting metadata a object is passed to the and methods. Use the various methods and properties to obtain metadata objects that you can use to examine and modify to alter the published WSDL.

When importing metadata a object is passed to the and methods. Use the various methods and properties to obtain metadata objects that you can use to examine and modify the imported metadata.

Passed to custom WSDL exporters and importers to enable customization of the metadata export and import processes for a contract.

- Property
  4.0.0.0
  System.ServiceModel.Description.ContractDescription To be added.

  Use the property to obtain the contract description on export or import.

  Gets the being exported or imported.

- Method
  4.0.0.0
  System.ServiceModel.Description.MessageDescription `` To be added.

  Returns the message description for the specified message.

  The message description for the specified message.

  The for the requested .
- Method
  4.0.0.0
  System.Web.Services.Description.Operation `` To be added.

  Returns the operation for the specified operation description.

  The operation for the specified operation description.

  The for the requested .
- Method
  4.0.0.0
  System.ServiceModel.Description.OperationDescription `` To be added.

  Returns the operation description associated with the operation.

  The operation description associated with the operation.

  The for the requested .
- Method
  4.0.0.0
  System.Web.Services.Description.OperationMessage `` To be added.

  Gets a object for the specified that represents a message type passed by the action of an XML Web service.

  A object that represents a message type passed by the action of an XML Web service.

  The for the requested .
- Property
  4.0.0.0
  System.Web.Services.Description.PortType To be added. To be added.

  Gets the that represents the contract.